#### Linux From Scratch - Version 12.3-systemd

### Chapter 6. Cross Compiling Temporary Tools

- Prev

  Tar-1.35

- Next

  Binutils-2.44 - Pass 2

- Up
- Home

# 6.16. Xz-5.6.4

The Xz package contains programs for compressing and decompressing files. It provides capabilities for the lzma and the newer xz compression formats. Compressing text files with xz yields a better compression percentage than with the traditional gzip or bzip2 commands.

Approximate build time: 0.1 SBU
Required disk space: 21 MB

## 6.16.1. Installation of Xz

Prepare Xz for compilation:

    ./configure --prefix=/usr                     \
                --host=$LFS_TGT                   \
                --build=$(build-aux/config.guess) \
                --disable-static                  \
                --docdir=/usr/share/doc/xz-5.6.4

Compile the package:

    make

Install the package:

    make DESTDIR=$LFS install

Remove the libtool archive file because it is harmful for cross compilation:

    rm -v $LFS/usr/lib/liblzma.la

Details on this package are located in Section 8.8.2, “Contents of Xz.”

- Prev

  Tar-1.35

- Next

  Binutils-2.44 - Pass 2

- Up
- Home